Agda.Syntax.Concrete

# Expressions

data Expr

data OpApp e

fromOrdinary

appView

data AppView

# Bindings

data LamBinding

data TypedBindings

data TypedBinding

data BoundName

mkBoundName_

type Telescope

# Declarations

data Declaration

data ModuleApplication

type TypeSignature

type Constructor

data ImportDirective

data UsingOrHiding

data ImportedName

data Renaming

data AsName

defaultImportDir

data OpenShortHand

type RewriteEqn

type WithExpr

data LHS

data Pattern

data LHSCore

data RHS

data WhereClause

data Pragma

type Module

data ThingWithFixity x

topLevelModuleName

# Pattern tools

patternHead

patternNames